EddytorDocs & API
Tables

Remove a column's domain

Deletes the domain constraint from the column, allowing any value to be written. This does not modify existing data. **Required scope:** `domains:write`

DELETE
/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain"
{  "column_name": "string",  "domain": {    "type": "string",    "allowed_values": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "value": "string"      }    ],    "parent_column": "string",    "lookup": {      "source": "string",      "mappings": {        "property1": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ],        "property2": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ]      },      "table_name": "string",      "table_path": "string",      "parent_key": "string",      "child_key": "string",      "table_id": "string"    },    "reference_source": {      "table_path": "string",      "table_name": "string",      "column": "string",      "table_id": "string"    }  }}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}